Get audit log summary export period

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/scenario/{scenarioId}/audit-summary/export-period

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Query parameters

  • dataDate string Required

Responses

  • 200 application/vnd.ms-excel

    OK

GET /project/{projectId}/scenario/{scenarioId}/audit-summary/export-period
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/audit-summary/export-period?dataDate=string' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"